site_name: DAN library
site_dir: public

theme:
  name: material

  # Branding
  logo: assets/logo.png
  favicon: assets/favicon.png

  font:
    text: Roboto
    code: Roboto Mono

  features:
  - navigation.top
  - navigation.tracking
  - navigation.indexes

  palette:
    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to light mode

plugins:
- search
- autorefs
- mkdocstrings:
    handlers:
      python:
        options:
          show_root_toc_entry: false
          show_object_full_path: false
          show_root_heading: yes
          show_source: true
          docstring_style: sphinx
          merge_init_into_class: yes
          show_category_heading: yes
          separate_signature: yes
          members_order: source
          show_if_no_docstring: true

nav:
  - Home: index.md
  - Original implementation: original_paper.md
  - Usage:
    - usage/index.md
    - Datasets:
      - usage/datasets/index.md
      - Dataset extraction: usage/datasets/extract.md
      - Dataset formatting: usage/datasets/format.md
    - Training:
      - usage/train/index.md
      - Parameters: usage/train/parameters.md
      - Jean Zay tutorial: usage/train/jeanzay.md
    - Predict: usage/predict.md
  - Documentation development: dev/build_docs.md
  - Python Reference:
    - Datasets:
      - ref/datasets/index.md
      - Utils: ref/datasets/utils.md
      - Extraction:
        - ref/datasets/extract/index.md
        - Arkindex: ref/datasets/extract/arkindex.md
        - Utils: ref/datasets/extract/utils.md
        - Database management: ref/datasets/extract/db.md
        - Exceptions: ref/datasets/extract/exceptions.md
      - Formatting:
        - ref/datasets/format/index.md
        - Automatic Text Recognition: ref/datasets/format/atr.md
    - Managers:
      - ref/managers/index.md
      - Dataset managers: ref/managers/dataset.md
      - Metrics managers: ref/managers/metrics.md
      - OCR managers: ref/managers/ocr.md
      - Training managers: ref/managers/training.md
    - OCR:
      - ref/ocr/index.md
      - Utils: ref/ocr/utils.md
      - Document:
        - ref/ocr/document/index.md
        - Training: ref/ocr/document/train.md
    - Prediction:
      - Inference: ref/predict/prediction.md
      - Attention: ref/predict/attention.md
    - Decoders: ref/decoder.md
    - Models: ref/encoder.md
    - MLflow: ref/mlflow.md
    - Post Processing: ref/post_processing.md
    - Schedulers: ref/schedulers.md
    - Transformations: ref/transforms.md
    - Utils: ref/utils.md

markdown_extensions:
    - smarty
    - toc:
        permalink: True
    - sane_lists
    - pymdownx.highlight
    - def_list # enable definition lists
    - admonition # syntax coloration in code blocks
    - codehilite
    - pymdownx.details
    - pymdownx.superfences
    - pymdownx.magiclink

copyright:  Copyright &copy; Teklia

extra:
  social:
    - icon: fontawesome/regular/heart
      name: Teklia official website
      link: https://teklia.com
    - icon: fontawesome/brands/gitlab
      name: Git repository for this project
      link: https://gitlab.com/teklia/atr/dan
    - icon: fontawesome/brands/linkedin
      name: Teklia @ LinkedIn
      link: https://www.linkedin.com/company/teklia
